Skip to content
GET/api/{version}/vobjects/{object_name}/{object_record_id}/attachments/{attachment_id}/file
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value (product__v, country__v, custom_object__c, etc.).
{object_record_id}The object record id field value.
{attachment_id}The attachment id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v18.3/vobjects/site__v/1357752909483/attachments/571/file
Content-Type: application/octet-stream;charset=UTF-8 Content-Disposition: attachment;filename="file.pdf"

The HTTP Response Header Content-Type is set to application/octet-stream. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file. When downloading attachments with very small file size, the HTTP Response Header Content-Length is set to the size of the attachment. Note that for most attachments (larger file sizes), the Transfer-Encoding method is set to chunked and the Content-Length is not displayed.